# Uses of Class
org.springframework.aot.generate.GeneratedMethods

Packages that use GeneratedMethods
Package
Description
org.springframework.aot.generate
Support classes for components that contribute generated code equivalent to a runtime behavior.

## Uses of GeneratedMethods in org.springframework.aot.generate

Methods in org.springframework.aot.generate that return GeneratedMethods
Modifier and Type
Method
Description
`GeneratedMethods`
ValueCodeGenerator.`getGeneratedMethods()`
Return the `GeneratedMethods` that represents the scope in which code generated by this instance will be added, or `null` if no specific scope is set.
`GeneratedMethods`
GeneratedClass.`getMethods()`
Return generated methods for this instance.
`GeneratedMethods`
GeneratedMethods.`withPrefix(String prefix)`
Specify the prefix to use for method names.
Methods in org.springframework.aot.generate with parameters of type GeneratedMethods
Modifier and Type
Method
Description
`ValueCodeGenerator`
ValueCodeGenerator.`scoped(GeneratedMethods generatedMethods)`
Return a `ValueCodeGenerator` that is scoped for the specified `GeneratedMethods`.